//---------------------------------------------------------------------------
#include <vcl.h>
#include <shlobj.h>
//---------------------------------------------------------------------------
#define ComparePidl(folder, pidl1, pidl2)       ((char)folder->CompareIDs(0, pidl1, pidl2))
#define GetShellAttribute(folder, pidl, attr)   ((NOERROR == folder->GetAttributesOf(1, (const ITEMIDLIST**)&pidl, &attr)) ? attr : 0)
//---------------------------------------------------------------------------
struct FindPidlRec
{
    IShellFolder *folder;
    IEnumIDList *enumPidl;
    IMalloc *malloc;
    unsigned long attr;
};
//---------------------------------------------------------------------------
extern int __fastcall GetSystemImageList(bool large);
extern IShellFolder* __fastcall GetDesktopFolder();
extern IMalloc* __fastcall GetMalloc();
extern ITEMIDLIST* __fastcall GetDesktopPidl(HWND hwnd);
extern unsigned short __fastcall GetPidlLength(ITEMIDLIST *pidl);
extern ITEMIDLIST* __fastcall CopyPidl(ITEMIDLIST *pidl, bool full);
extern ITEMIDLIST* __fastcall ConcatPidl(ITEMIDLIST *pidl1, ITEMIDLIST *pidl2);
extern ITEMIDLIST* __fastcall ExtractPidl(ITEMIDLIST *pidl);
extern IShellFolder* __fastcall GetShellFolder(ITEMIDLIST *pidl);
extern String __fastcall GetShellName(IShellFolder *folder, ITEMIDLIST *pidl);
extern int GetShellIcon(ITEMIDLIST *pidl, bool open, bool large);
extern bool __fastcall FindPidlInit(HWND hwnd, IShellFolder *folder, unsigned long type, unsigned long attr, FindPidlRec &find);
extern ITEMIDLIST* __fastcall FindPidl(FindPidlRec &find);
extern void __fastcall FindPidlClose(FindPidlRec &find);
//---------------------------------------------------------------------------
